<?php

/**
 * @file
 * Checkout pane callback functions for the cart module.
 */


/**
 * Checkout pane callback: returns the cart contents pane's settings form.
 */
function commerce_views_pane_checkout_pane_settings_form($checkout_pane) {
  $form = array();
/** @todo: any pane options? hide view title, etc ? **/
  return $form;
}

/**
 * Checkout pane callback: returns the cart contents View for inclusion in the
 *   checkout form.
 */
function commerce_views_pane_checkout_pane_checkout_form($form, &$form_state, $checkout_pane, $order) {
  $pane_form = array();

  // Ensure order id exists to always run view with a filter argument
  if (empty($order->order_id)) {
    return $pane_form;
  }

  // Extract the View and display keys from the pane id.
  $pane_id_parts = explode('-', $checkout_pane['pane_id']);
  if (count($pane_id_parts) != 2) {
    return $pane_form;
  }
  list($view_id, $display_id) = $pane_id_parts;

  // Render the view
  $view_output = commerce_views_pane_execute_display($view_id, $display_id, array($order->order_id));
  $pane_form['views_content'] = array(
    '#markup' => theme('commerce_views_pane_content', $view_output + array('order' => $order)),
  );

  return $pane_form;
}

/**
 * Checkout pane callback: returns the cart contents review data for the
 *   Review checkout pane.
 */
function commerce_views_pane_checkout_pane_review($form, $form_state, $checkout_pane, $order) {
  // Ensure order id exists to always run view with a filter argument
  if (empty($order->order_id)) {
    return '';
  }

  // Extract the View and display keys from the pane id.
  $pane_id_parts = explode('-', $checkout_pane['pane_id']);
  if (count($pane_id_parts) != 2) {
    return $pane_form;
  }
  list($view_id, $display_id) = $pane_id_parts;

  // Render the view
  $view_output = commerce_views_pane_execute_display($view_id, $display_id, array($order->order_id));
  if (empty($view_output['content'])) {
    return '';
  }

  return theme('commerce_views_pane_content', $view_output + array('order' => $order));
}

